## org.eclipse.datatools.connectivity.ui.actions
Class AddProfileViewAction

    java.lang.Object
      Action
          org.eclipse.datatools.connectivity.ui.actions.AddProfileViewAction

public class AddProfileViewAction
extends Action

Ideally, this class should be splitted into two, one is for Action, the other is for View Action.

Author:
  shongxum, brianf
See Also:
  Serialized Form

Constructor Summary
`AddProfileViewAction()`
`AddProfileViewAction(ICategory category)`
`AddProfileViewAction(java.lang.String categoryID)`

Method Summary
`IConnectionProfile` `getAddedProfile()`
`ICategory` `getCategory()`
`IConnectionProfile` `getParentProfile()`
`int` `getWizardReturnCode()`
`void` `init(IViewPart viewpart)`
`void` `run()`
`void` `run(IAction action)`
`void` `selectionChanged(IAction action, ISelection selection)`
`void` `setCategory(ICategory category)`
`void` `setCategory(java.lang.String categoryID)`
`void` `setParentProfile(IConnectionProfile profile)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddProfileViewAction

    public AddProfileViewAction()

### AddProfileViewAction

    public AddProfileViewAction(ICategory category)

Parameters:
  `category` -

### AddProfileViewAction

    public AddProfileViewAction(java.lang.String categoryID)

Parameters:
  `categoryID` -

Method Detail

### init

    public void init(IViewPart viewpart)

### run

    public void run()

### run

    public void run(IAction action)

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

### setCategory

    public void setCategory(ICategory category)

  Parameters:
    `category` -

### setCategory

    public void setCategory(java.lang.String categoryID)

  Parameters:
    `categoryID` -

### getCategory

    public ICategory getCategory()

  Returns:

### setParentProfile

    public void setParentProfile(IConnectionProfile profile)

### getParentProfile

    public IConnectionProfile getParentProfile()

### getWizardReturnCode

    public int getWizardReturnCode()

  Returns:

### getAddedProfile

    public IConnectionProfile getAddedProfile()

  Returns:

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.